module Program_Counter(clk,rst,enable,PC,PC_Next);
input clk, rst, enable;
input [31:0]PC_Next;
output reg [31:0]PC;

wire [31:0]PC_temp;

assign PC_temp = PC;

always@(posedge clk or posedge enable or posedge rst)
 begin
  if(rst==1)
   PC <= 32'h00000000;
  else if(enable == 1) // for Data Hazard
   PC <= PC_temp;
  else
   PC <= PC_Next;
 end
endmodule 