module Load_Extension(ReadData_M_temp,Operation,ReadData_M);
input [31:0] ReadData_M_temp;
input [2:0]Operation;
output [31:0] ReadData_M;

assign ReadData_M = (Operation == 3'b000)?{{24{ReadData_M_temp[7]}},ReadData_M_temp[7:0]}  :
                    (Operation == 3'b001)?{{16{ReadData_M_temp[15]}},ReadData_M_temp[15:0]} :
                    (Operation == 3'b010)? ReadData_M_temp :
		    (Operation == 3'b100)?{{24'b0},ReadData_M_temp[7:0]} :
		    (Operation == 3'b101)?{{16'b0},ReadData_M_temp[15:0]} : 32'hxxxxxxxx;
endmodule 